Summary:	Truetype font rasterizer
Name:		freetype1
Version:	1.3.1
Release:	1
License:	BSD like
Group:		Libraries
Source0:	ftp://ftp.physiol.med.tu-muenchen.de/pub/freetype/freetype-%{version}.tar.gz
Source1:	ttmkfdir.tar.gz
Patch0:		freetype-DESTDIR.patch
Patch1:		freetype-autoconf.patch
Patch2:		%{name}-po.patch
Patch3:		freetype-gcc33.patch
URL:		http://www.physiol.med.tu-muenchen.de/~robert/freetype.html
BuildRequires:	gettext-devel XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The FreeType engine is a free and portable TrueType font rendering
engine. It has been developed to provide TrueType support to a great
variety of platforms and environments.

Note that FreeType is a *library*. It is not a font server for your
favorite platform, even though it was designed to be used in many of
them. Note also that it is *not* a complete text-rendering library.
Its purpose is simply to open and manage font files, as well as load,
hint and render individual glyphs efficiently. You can also see it as
a "TrueType driver" for a higher-level library, though rendering text
with it is extremely easy, as demo-ed by the test programs.

%package 	devel
Summary:	Header files and development documentation
Group:		Development

%description 	devel
This package includes the header files documentations and libraries
necessary to develop applications that use freetype.

%prep
%setup -q -n freetype-%{version}
mkdir ttmkfdir
tar xz -C ttmkfdir -f %{SOURCE1}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
	--prefix=/usr \
	--disable-nls \
        --enable-static \
	--includedir=/usr/include/freetype1 \
        --with-gnu-ld
%{__make}
%{__make} -C ttmkfdir CC="gcc $RPM_OPT_FLAGS -I../lib" FREETYPE_LIB='-L../lib/.libs -lttf'

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
install ttmkfdir/ttmkfdir $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT/usr/include/freetype1; ln -sf freetype/*.h .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ttmkfdir
%attr(755,root,root) %{_libdir}/*.so.*
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%attr(755,root,root) %{_bindir}/f*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_libdir}/*.a
